
Infrastructure - Task #1478

Story # 1476 (Closed): Create Identity management system

Implement Identity Management service APIs

2011-04-06 18:01 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Milestone:  Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-17 18:46 - Ben Leinfelder

- Status changed from New to In Progress

- Assignee changed from Matthew Jones to Ben Leinfelder

#2 - 2011-05-23 17:34 - Ben Leinfelder

- % Done changed from 0 to 90

All CNIdentity service methods are implemented with an LDAP store. The methods are exposed on the CN as a service with unit test cases for both

the implementation and the invocation via Spring.

Outstanding issue:

Integrate with authentication methods for certificate -> session handling.

#3 - 2011-05-26 22:06 - Ben Leinfelder

added confirmMapIdentity() method back the CNIdentity interface

#4 - 2011-06-06 18:12 - Ben Leinfelder

note on configuration:

The CN buildout uses a [Spring] bean to configure which LDAP server is used and what the admin user/pass is for modifying that LDAP tree.

I like that it is an XML config, but should there be alternative mechanisms for configuring this?

#5 - 2011-06-22 04:08 - Ben Leinfelder

- Status changed from In Progress to Closed
